Name:          libflac
Version:       1.5.0
Release:       1mamba
Summary:       Free Lossless Audio Codec (FLAC)
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://xiph.org/flac/
Source:        http://downloads.xiph.org/releases/flac/flac-%{version}.tar.xz
Patch0:        %{name}-1.1.2-xmms-plugin.patch
Patch1:        %{name}-1.1.2-libtool.patch
Patch2:        %{name}-1.2.1-gcc43.patch
Patch3:        %{name}-1.2.1-asm.patch
Patch4:        %{name}-1.2.1-hidesyms.patch
Patch5:        %{name}-1.2.1-bitreader.patch
License:       BSD, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libogg-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libid3-devel >= 3.8.3
BuildRequires: nasm
%if "%{_host}" == "%{_build}"
BuildRequires: docbook2X >= 0.8.5
BuildRequires: doxygen
%endif
Provides:      libflac11
Obsoletes:     libflac11 < 1.3.4

%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is similar to MP3,  but lossless, meaning that audio is compressed in FLAC without any loss in quality. This is similar to how Zip works, except with FLAC you will get much better compression  because it is designed specifically for audio, and you can play back compressed FLAC files  in your favorite player (or your car or home stereo, see links to the right for supported  devices) just like you would an MP3 file.

The FLAC project consists of:
* the stream format
* reference encoders and decoders in library form
* flac, a command-line program to encode and decode FLAC files
* metaflac, a command-line metadata editor for FLAC files
* input plugins for various music players

%package devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libflac11-devel
Obsoletes:     libflac11-devel < 1.3.4

%description devel
FLAC stands for Free Lossless Audio Codec.
Grossly oversimplified, FLAC is similar to MP3, but lossless, meaning that audio is compressed in FLAC without any loss in quality.
This is similar to how Zip works, except with FLAC you will get much better compression because it is designed specifically for audio, and you can play back compressed FLAC files in your favorite player (or your car or home stereo, see links to the right for supported devices) just like you would an MP3 file.
This package contains static libraries and header files needed for development.

%package tools
Summary:       Tools provided with %{name}
Group:         Applications/Multimedia
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
FLAC stands for Free Lossless Audio Codec.
Grossly oversimplified, FLAC is similar to MP3, but lossless, meaning that audio is compressed in FLAC without any loss in quality.
This is similar to how Zip works, except with FLAC you will get much better compression because it is designed specifically for audio, and you can play back compressed FLAC files in your favorite player (or your car or home stereo, see links to the right for supported devices) just like you would an MP3 file.
This package contains the tools provided with %{name}.

%package doc
Summary:       Documentation for %{name}
Group:         Documentation
Provides:      libflac11-doc
Obsoletes:     libflac11-doc < 1.3.4

%description doc
FLAC stands for Free Lossless Audio Codec.
Grossly oversimplified, FLAC is similar to MP3, but lossless, meaning that audio is compressed in FLAC without any loss in quality.
This is similar to how Zip works, except with FLAC you will get much better compression because it is designed specifically for audio, and you can play back compressed FLAC files in your favorite player (or your car or home stereo, see links to the right for supported devices) just like you would an MP3 file.
This package contains the documentation HTML pages for %{name}.

%package plugins-xmms
Summary:       Flac plugin for XMMS
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libflac11-plugins-xmms
Obsoletes:     libflac11-plugins-xmms < 1.3.4

%description plugins-xmms
FLAC stands for Free Lossless Audio Codec.
Grossly oversimplified, FLAC is similar to MP3, but lossless, meaning that audio is compressed in FLAC without any loss in quality.
This is similar to how Zip works, except with FLAC you will get much better compression because it is designed specifically for audio, and you can play back compressed FLAC files in your favorite player (or your car or home stereo, see links to the right for supported devices) just like you would an MP3 file.
This package contains the Flac plugin for XMMS.


%prep
%setup -q -n flac-%{version}

%build
%configure \
   --disable-rpath \
   --with-pic \
   --disable-xmms-plugin \
%if "%{_host}" != "%{_build}"
   --with-ogg-includes=%{_prefix}/%{_host}/includes \
   --with-ogg-libraries=%{_prefix}/%{_host}/lib
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#cp AUTHORS COPYING* README \
#   %{buildroot}%{_datadir}/doc/flac-%{version}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libFLAC.so.*
%{_libdir}/libFLAC++.so.*
%doc AUTHORS COPYING.*

%files devel
%defattr(-,root,root)
%{_datadir}/aclocal/*.m4
%dir %{_includedir}/FLAC++
%dir %{_includedir}/FLAC
%{_includedir}/FLAC++/*.h
%{_includedir}/FLAC/*.h
%{_libdir}/libFLAC.so
%{_libdir}/libFLAC++.so
%{_libdir}/pkgconfig/flac++.pc
%{_libdir}/pkgconfig/flac.pc

%files doc
%defattr(-,root,root)
%dir %{_datadir}/doc/flac
%{_datadir}/doc/flac/*

%files tools
%defattr(-,root,root)
%{_bindir}/flac
%{_bindir}/metaflac
%{_mandir}/man1/flac.*
%{_mandir}/man1/metaflac.*

#%if "%{stage1}" != "1"
#%files plugins-xmms
#%defattr(-,root,root)
#%{_libdir}/xmms/Input/libxmms-flac.la
#%{_libdir}/xmms/Input/libxmms-flac.so
#%endif

%changelog
* Wed Feb 12 2025 Automatic Build System <autodist@openmamba.org> 1.5.0-1mamba
- automatic version update by autodist

* Sat Jun 24 2023 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Sun Oct 23 2022 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Fri Sep 23 2022 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Mon Feb 21 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.4-2mamba
- added debug package and -tools subpackage

* Mon Feb 21 2022 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic version update by autodist

* Wed Aug 28 2019 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Fri Feb 03 2017 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Sat Jan 30 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-2mamba
- rebuilt with gcc 5.3.0

* Thu Dec 04 2014 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- update to 1.3.0

* Mon May 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-2mamba
- rebuilt with gcc 4.3 (added patch)
- obsoletes libflac11*

* Sat Jun 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Wed Jun 14 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.1.2-3qilnx
- added libtool patch

* Sun Sep 25 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-2qilnx
- rebuilt against libxmms

* Thu Jun 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.2-1qilnx
- update to version 1.1.2 by autospec

* Fri Apr 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.0-1qilnx
- first build
